Registered Asns - Get

Gets an existing registered ASN with the specified name under the given subscription, resource group and peering.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Peering/peerings/{peeringName}/registeredAsns/{registeredAsnName}?api-version=2025-05-01

URI Parameters

Name In Required Type Description
peeringName
path True

string

pattern: [A-Za-z0-9_.-]{1,63}

The name of the peering.

registeredAsnName
path True

string

pattern: [A-Za-z0-9_.-]{1,63}

The name of the registered ASN.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string

minLength: 1

The ID of the target subscription.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

PeeringRegisteredAsn

Azure operation completed successfully.

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Get a registered ASN associated with the peering

Sample request

GET https://management.azure.com/subscriptions/subId/resourceGroups/rgName/providers/Microsoft.Peering/peerings/peeringName/registeredAsns/registeredAsnName0?api-version=2025-05-01

Sample response

{
  "name": "registeredAsnName0",
  "type": "Microsoft.Peering/registeredAsns",
  "id": "/subscriptions/subId/resourceGroups/rgName/providers/Microsoft.Peering/peerings/peeringName/registeredAsns/registeredAsnName0",
  "properties": {
    "asn": 65000,
    "peeringServicePrefixKey": "00000000-0000-0000-0000-000000000000",
    "provisioningState": "Succeeded"
  }
}

Definitions

Name Description
createdByType

The type of identity that created the resource.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

PeeringRegisteredAsn

The customer's ASN that is registered by the peering service provider.

ProvisioningState

The provisioning state of the resource.

systemData

Metadata pertaining to creation and last modification of the resource.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

PeeringRegisteredAsn

The customer's ASN that is registered by the peering service provider.

Name Type Description
id

string

Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

name

string

The name of the resource

properties.asn

integer (int32)

The customer's ASN from which traffic originates.

properties.peeringServicePrefixKey

string

The peering service prefix key that is to be shared with the customer.

properties.provisioningState

ProvisioningState

The provisioning state of the resource.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

ProvisioningState

The provisioning state of the resource.

Value Description
Succeeded
Updating
Deleting
Failed
Canceled

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.